/*
Name: TAlloc.h
Version: 1.0

Description: Header file with functions for data allocations and deallocations
Author: Jiri Filip, UTIA AS CR, filipj'at'utia'dot'cas'dot'cz
Date: 28/05/07
 */

#ifndef TAlloc_c
#define TAlloc_c

//allocations
float* allocation1(int nrl,int nrh);
int* iallocation1(int nrl,int nrh);
unsigned short* sallocation1(int nrl,int nrh);
char* callocation1(int nrl,int nrh);
unsigned char* uallocation1(int nrl,int nrh);
unsigned char* ballocation1(int nrl,int nrh);
float** allocation2(int nrl,int nrh,int ncl,int nch);
long** lallocation2(int nrl,int nrh,int ncl,int nch);
//deallocations
void freemem1(float *m,int nrl,int nrh);
void freeimem1(int *m,int nrl,int nrh);
void freesmem1(unsigned short *m,int nrl,int nrh);
void freecmem1(char *m,int nrl,int nrh);
void freeumem1(unsigned char *m,int nrl,int nrh);
void freebmem1(unsigned char *m,int nrl,int nrh);
void freemem2(float **m,int nrl,int nrh,int ncl,int nch);
void freelmem2(long **m,int nrl,int nrh,int ncl,int nch);

#endif
